package com.miaxis.icon.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.icon.domain.IconInfo;

/**
 * 题目图标Mapper接口
 *
 * @author miaxis
 * @date 2022-08-01
 */
public interface IconInfoMapper extends BaseMapper<IconInfo> {
    /**
     * 查询题目图标列表
     *
     * @param iconInfo 题目图标
     * @return 题目图标集合
     */
    public List<IconInfo> selectIconInfoList(IconInfo iconInfo);

}
