package com.miaxis.lighting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.lighting.domain.LightingCombination;
import com.miaxis.lighting.domain.LightingItem;

import java.util.List;

/**
 * 灯光组合
Service接口
 *
 * @author miaxis
 * @date 2022-03-21
 */
public interface ILightingCombinationService extends IService<LightingCombination>{
    /**
     * 查询灯光组合
列表
     *
     * @param lightingCombination 灯光组合

     * @return 灯光组合
集合
     */
    public List<LightingCombination> selectLightingCombinationList(LightingCombination lightingCombination);

    List<LightingItem> getLightingItemsById(Long id);
}
