package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * wrong对象 question_wrong
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@TableName("question_wrong")
@ApiModel(value = "QuestionWrong", description = "wrong对象 question_wrong")
public class QuestionWrong extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 题目ID */
    @Excel(name = "题目ID")
    @TableField("question_id")
    @ApiModelProperty(value = "题目ID")
    private Long questionId;


    /** 科目 */
    @Excel(name = "科目")
    @TableField("km")
    @ApiModelProperty(value = "考试科目（1、2、3、4）")
    private Integer km;



}
