package com.miaxis.question.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionWrong;
import com.miaxis.question.dto.QuestionCollectionListDTO;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.vo.QuestionWrongIdDateVo;

import java.util.List;

/**
 * wrongService接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface IQuestionWrongService extends IService<QuestionWrong> {
    /**
     * 查询wrong列表
     *
     * @param questionWrong wrong
     * @return wrong集合
     */
    List<QuestionWrong> selectQuestionWrongList(QuestionWrongListDTO questionWrong);

    List<QuestionWrongIdDateVo> selectWrongIdByUserId(QuestionWrongListDTO dto);

    Integer selectWrongCountByUserId(QuestionWrongListDTO dto);

}
